//
//  ConsumptionCalculator.swift
//  CarManager
//
//  Created by Holger Hinzberg on 25.04.15.
//  Copyright (c) 2015 Holger Hinzberg. All rights reserved.
//

import Foundation

class ConsumptionCalculator
{
    // Die Kraftstoffmenge
    var fuel:Double
    // Die gefahrenen Kilometer
    var milage:Double
    // Der durchschnittliche Verbrauch
    var averageConsumption:Double
    {
        get { return self.avgConsumption }
    }
    
    private var avgConsumption:Double
    
    init()
    {
        self.fuel = 0
        self.milage = 0
        self.avgConsumption = 0
    }
    
    func calculateConsumption() -> Double
    {
        self.avgConsumption =
            self.fuel / self.milage * 100
        
        return avgConsumption
    }
}